Get endpoint
curl --request GET \
--url https://akapulu.com/api/endpoints/{endpoint_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://akapulu.com/api/endpoints/{endpoint_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://akapulu.com/api/endpoints/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "22222222-3333-4444-5555-666666666666",
"name": "Book Appointment",
"url": "https://api.yourcompany.com/v1/book-appointment",
"headers": {
"Authorization": "Bearer {{secret.crm_token}}"
},
"body": {
"patient_id": "{{runtime.patient_id}}"
}
}{
"error": "endpoint_id is required"
}{
"error": "Invalid API key"
}{
"error": "HttpEndpoint not found"
}Endpoints
Get Endpoint
Fetch an HTTP endpoint (owner only).
GET
/
endpoints
/
{endpoint_id}
Get endpoint
Fetch an HTTP endpoint you own, including
headers and body templates.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Endpoint ID.
⌘I

